// subclass of gamehandle
/*
note: none of the functions accept values under zero.
example, addCredits(-100); is adding 100 credits, not redusing them

* addCredits - todo: storage
* minusCredits - returns false if not enough credits
* getCredits - returns credits
* setCredits - sets the credits to ( amount )
*/

function Credits()
{
	this.storage = 3000;
	this._credits = 0;
	this.addCredits = function (amount)
	{
		amount = Math.abs(parseInt(amount));
		if (!amount)
			amount = 0;
		if ((this._credits+amount) > this.storage)
		{
			var take = this.storage - this._credits;
			this._credits += take;
			return take;
		}
		this._credits += Math.abs(amount);
		return true;
	}
	this.minusCredits = function (amount)
	{
		amount = Math.abs(parseInt(amount));
		if (!amount)
			amount = 0;
		if (this._credits < amount)
			return false;
		
		this._credits -= amount;
		return true;
	}
	this.getCredits = function()
	{
		if (this._credits < 0)
			alert("credits on minus");
		return this._credits;
	}
	this.setCredits = function(amount)
	{
		amount = Math.abs(parseInt(amount));
		if (!amount)
			amount = 0;
		this._credits = amount;
	}
}