/* 
* this is the settings class, it has all the settings that need to be scaleable.
*/

var settings = new Settings();

function Settings()
{
    // game resolution, you shouldent really change this, and its unchangeable by opera.
    this.gameResolution = [320,200];
    
    // size of 1 tile
    this.tileSize = 16;
    
    // canvas width and height, it only streches the gameresolution. 
    // should be scaleble by user
    this.canvasSize = [640,400];
    this.canvasPos = [50,50];
    
    // diectories
    this.baseDir = "webdune";
    this.dataDir = "ice";
    
    
    // draw's metadata
    this.UImenubarPos = [0,0];
    this.UIsidebarPos = [240,40];
    
    // controlpanel
    this.cpPos = [257,44]; //control panel position
    this.cpSize = [62,79]; //control panel size
    // the visual map position (if we want to leave room for the menubar)
    this.visualMapPosition = [0,40];
    // this is the size of the visual map that we should draw
    this.visualMapSize = [240,160]
    // minimap's postition
    this.minimapPos = [256,137];
    // minimap's size (must be square)
    this.minimapSize = 64;
    
    // timing functions
    // how many millseconds to wait until draw again. set to 0 to use all availible CPU
    this.slowDown = 200;
    
	// this shold be the game speed modifier, but not working yet
    this.gameSpeed = 1;
    // time it takes to head in different direction
    this.timeHeadingTime = 500;
    // the time that lockstep does
    this.lockStepTime = 1000;
    
	
	this.playerId = 2;
	this.clientId = 1;
	this.map = "devmap";
	
	this.debug = true;
	
	this.playerColor = Array();
	this.playerColor[1] = "blue";
	this.playerColor[2] = "green";
	this.playerColor[3] = "red";
	this.playerColor[4] = "yellow";
	this.playerColor[5] = "gray";
	this.playerColor[6] = "pink";
	this.playerColor[7] = "mint";
	
}
