function PlayerWindow(session)
{
	if (session != undefined)
		this.session = session;
	this.playerInfo = document.createElement('playerInfo');
	var self = this;
	
	this.init = function()
	{
		this.createPlayerInfo();
		if (settings.debug)
		{
			refreshTimer = setInterval(function() {
					session = new Object();
					session.chatMessages = "LOL! Wahatta debuggars environment!";
					session.masterClient = 2;
					session.clients = Array();
					session.clients[1] = new Object();
					session.clients[1].id = 1;
					session.clients[1].playerid = 1;
					session.clients[1].name = "Debugger";
					session.clients[1].ping = 123;
					session.clients[2] = new Object();
					session.clients[2].id = 2;
					session.clients[2].playerid = 2;
					session.clients[2].name = "Ghost";
					session.clients[2].ping = 2939112;
					self.refreshPlayerInfo(session);
    			}, 3000);
		}
		else
		{
			session.refresh(self.refreshPlayerInfo, alert);
			refreshTimer = setInterval(function() {
					self.refreshPlayerInfo(session);
    			}, 1000);
		}
	}
	this.createPlayerInfo = function()
	{
		var rel = Array();
		rel[0] = (settings.canvasSize[0]/settings.gameResolution[0]);
		rel[1] = (settings.canvasSize[0]/settings.gameResolution[0]);
		this.playerInfo.style.position = "absolute";
		this.playerInfo.style.left = settings.canvasPos[0]+settings.canvasSize[0];
		this.playerInfo.style.top = settings.canvasPos[1];
		this.playerInfo.style.width = 100*rel[0];
		this.playerInfo.style.height = 200*rel[1];
		this.playerInfo.style.fontFamily = "Impact";
		this.playerInfo.style.fontSize = 10*rel[0];
		this.playerInfo.style.backgroundColor = "#aaaaaa";
		this.playerInfo.style.color = "#ffffff";
		this.playerInfo.innerHTML = "";
		document.body.appendChild(this.playerInfo);
	}
	this.body = document.getElementsByTagName("body")[0];
	this.table = document.createElement("table");
	this.tblBody = document.createElement("tBody");
	this.input = document.createElement("imput");
	this.msg = document.createElement("msg");
	this.playerTable = Array();
	
	this.refreshPlayerInfo = function(session)
	{
		for (var id in session.clients)
		{
			if (self.playerTable[id] == undefined)
			{
				self.changed = true;
				self.playerTable[id] = new Object();
				self.playerTable[id].tr = document.createElement("tr");
				self.playerTable[id].color = document.createElement("td");
				self.playerTable[id].ping = document.createElement("td");
				self.playerTable[id].name = document.createElement("td");
				
				self.playerTable[id].tr.appendChild(self.playerTable[id].color);
				self.playerTable[id].tr.appendChild(self.playerTable[id].ping);
				self.playerTable[id].tr.appendChild(self.playerTable[id].name);
				self.tblBody.appendChild(self.playerTable[id].tr);
			}
			self.playerTable[id].color.setAttribute("bgcolor", settings.playerColor[session.clients[id].playerid]);
			self.playerTable[id].color.setAttribute("width", "25px");
			self.playerTable[id].ping.innerHTML = session.clients[id].ping;
			self.playerTable[id].name.innerHTML = session.clients[id].name;
			if (session.masterClient == id)
				self.playerTable[id].name.setAttribute("bgcolor","#cccccc");
		}
		var ret = "<table>";
		ret+="<tr><td bgcolor=\"white\">";
		ret+=session.chatMessages;
		ret+="</td></tr>";
		ret+="</table>";
		self.msg.innerHTML = ret;
		//self.playerInfo.innerHTML = ret;
		if (self.changed)
		{
			self.playerInfo.appendChild(self.tblBody);
			self.createSendInput();
			self.playerInfo.appendChild(self.msg);
			self.changed = false;
		}
	}
	
	this.sendPut;
	this.button;
	this.buttonText;
	this.createSendInput = function()
	{
		self.inputCreated = true;
		self.sendPut = document.createElement("input");
		self.sendPut.setAttribute("id", "msg");
		self.sendPut.setAttribute("value", "");
		self.buttonText = document.createTextNode("Send");
		self.button = document.createElement("button");
		self.button.setAttribute("onclick", "playerwindow.sendChatMessage()");
		self.button.appendChild(self.buttonText);
		self.input.appendChild(self.button);
		self.input.appendChild(self.sendPut);
		self.playerInfo.appendChild(self.input);
	}
	
	this.sendChatMessage = function()
	{
		var msg = document.getElementById("msg");
		message = msg.value;
		msg.value = "";
		var arr = new Array();
		arr["RM"] = "["+session.clients[settings.clientId].name+"] "+message+"<br>";
		arr["RT"] = "CHATMESSAGE";
		arr["c"] = settings.clientId;
	
		var aj = new Ajax()
		aj.bind('/webdune/server/gameserver.php', function(){},'POST', 'formdata', arr);
	}
	this.init();
}