
function UserInput()
{
	
    this.MouseObjectDesc;
    this.MouseCommand;
	
    this.selected;
    this.select = function(obj)
    {
        this.selected = obj;
    }
	
	this.selectWithin = function(from, to)
	{
		var select = Array();
		deb("",1);
		for (x = Math.min(from[0],to[0]); x <= Math.max(from[0],to[0]); x ++)
		for (y = Math.min(from[1],to[1]); y <= Math.max(from[1],to[1]); y ++)
		{
			if (map.getOccupied([x,y]))
			{
				var unit = objects.getObjectById(map.getOccupied([x,y]));
				if (unit && unit.descriptor.isUnit && unit.owner == settings.playerId)
				{
					select[select.length] = objects.getObjectById(map.getOccupied([x,y]));
					deb(select[select.length-1].id);
				}
			}
		}
		this.selected = select;
		deb(typeof(this.selected));
	}
	
	this.getControlPanelContent = function()
    {
		topLayer.setConstInfo("");
		topLayer.setObjectName("");
		topLayer.clearButtons();
        if (this.selected)
        {
			var selected = this.selected;
			if (this.selected[0] != undefined)
			{
				selected = this.selected[0];
			}
			if (selected.descriptor == undefined)
				return;
			topLayer.setObjectName(selected.descriptor.fullname);
			
            var images = Array();
            var bars = Array();
            var texts = Array();
            images["pic"] = ["pic/pic"+selected.desc+".bmp",1,8];
            images["hpbar"] = ["ui/hpbar.png",35,8];
            var hp = Math.round(selected.hp/selected.descriptor.maxhp*24);
            
			if (selected.owner == settings.playerId)
			{
				for (i in selected.descriptor.commands)
				{
					var buttonimage = "ui/button.png";
					if (this.buttonDown == i)
						buttonimage = "ui/button_pressed.png";
					images[i] = [buttonimage,0,11*i+33];
					topLayer.setButtonText(i,selected.descriptor.commands[i]);
				}
				if (!selected.descriptor.isUnit && selected.hp < selected.descriptor.maxhp && !selected.isUnderConstruction)
				{
					images["repair"] = ["ui/buttonrepair.bmp",0,32];
				}
				if (selected.descriptor.canbuild && !selected.isUnderConstruction)
				{
					var buildDesc = new ObjectDescriptor(selected.descriptor.builds[selected.selectedBuild])
					images["build"] = ["ui/buildbox.bmp",0,43];
					images["selectbuild"] = ["ui/buildbutton.png",0,7];
                
					images["tobuild"] = ["pic/pic"+buildDesc.desc+".bmp",4,47];
					if (buildDesc.desc == selected.constructing.desc)
						bars["compleation"] = [4,73,53*(selected.buildPercent/100),4,"green"];
					var text = buildDesc.name+"<br>"+"Cost: "+buildDesc.cost;
					topLayer.setConstInfo(text);
				}
			}
            
			var color;
            if (hp < 7)
                color = "red";
	    	else if (hp < 14)
				color = "yellow";
            else
                color = "green";
			
            bars["hp"] = [36,9,hp,7,color];
            return [images,bars,texts];
        }
        
    }
    this.buttonDown = 100;
    // if the control panel is clicked
    this.controlPanelClick = function(crd,down)
    {
        if (!this.selected)
            return;
        
		
		var selected = Array();
		if (this.selected[0] != undefined)
		{
			selected = this.selected;
		}
		else
			selected[0] = this.selected;
		
		
		if (down != undefined)
		{
			if (selected[0].descriptor != undefined)
			for (i in selected[0].descriptor.commands)
			{
				if (within(crd,[0,11*i+33],[62,12]))
				{
					this.buttonDown = i;
					deb(i);
				}
			}
			return;
		}
		this.buttonDown = 100;
		var com = "";
		dump = this.getControlPanelContent();
		if (dump == undefined)
			return;
		images = dump[0];
		for (var i in images)
		{
			if (within(
				 crd,
			[images[i][1],images[i][2]],
			[imageCache[images[i][0]].width,imageCache[images[i][0]].height]
			)) 
			{
				if (isNumeric(i))
					 com = selected[0].descriptor.commands[i];
				 if (i == "build")
					 com = "build";
				 if (i == "selectbuild")
					 com = "selectbuild";
			}
		}
	
		
		for (var s in selected)
		{
			var check = false;
			if (!selected[s].descriptor.isUnit)
				check = true;
			for (var c in selected[s].descriptor.commands)
			{
				if (selected[s].descriptor.commands[c] == com)
					check = true;
			}
			if (!check)
				continue;
			
        switch (com)
        {
            case "harvest":
                //deb(map.getNearestSpice(selected.cellXY));
                eventstack.sendCommand(selected[s].id+",harvest");
                break;
            case "guard":
                eventstack.sendCommand(selected[s].id+",guard");
                break;
            case "deploy":
                map.unoccupy(selected[s].cellXY);
                if (map.canBuild(selected[s].cellXY,[2,2]))
                    eventstack.sendCommand(selected[s].id+",deploy");
                else
                {
                    topLayer.setGameMessage("Cannot deploy here");
                    map.occupy(selected[s].cellXY,selected[s].id);
                }
                break;
			case "build":
				if (selected[s].constructing)
				{
					topLayer.setGameMessage("Your allredy building something");
					break;
				}
				var desc = new ObjectDescriptor(
					selected[s].descriptor.builds[selected[s].selectedBuild]);
				
				if (parseInt(desc.cost) <= game.credits.getCredits())
				{
					if (desc.desc != "harvester" || objects.getNumberOfObjectsOwned("harvester") < objects.getNumberOfObjectsOwned("refinery")*2)
					{
						if (desc.isUnit)
						{
							selected[s].constructing = true;
							eventstack.sendCommand(selected[s].id+",construct,"+desc.desc);
						}
						else
						{
							this.MouseObjectDesc = desc;
							this.MouseCommand = "construct";
						}
					}
					else
						topLayer.setGameMessage("Cannot build anymore harvesters!");
				}
				else
					topLayer.setGameMessage("Not enough credits!");
				break;
			case "selectbuild":
				selected[s].selectedBuild ++;
				if (!selected[s].descriptor.builds[selected[s].selectedBuild])
					selected[s].selectedBuild = 0;
				break;
			default:
				this.MouseCommand = com;
				break;
        }
		}
    }
	
	// show the girds, where can you build, and where you cant (called on mousemove)
    this.getMouseGirdBoxes = function()
	{
		if (this.MouseCommand == "construct")
		{
			var boxes = Array();
			var isNextToC = objects.isNextToMyConstruction(mouse.gameMousePos,
				//[mouse.gameMousePos[0]+map.scroll[0],mouse.gameMousePos[1]+map.scroll[1]],
				this.MouseObjectDesc.size
			);
					time.showLatency([mouse.gameMousePos[0]+map.scroll[0],mouse.gameMousePos[1]+map.scroll[1]]);
			for (var x = mouse.gameMousePos[0]-map.scroll[0]; x < 
				(this.MouseObjectDesc.size[0]+mouse.gameMousePos[0]-map.scroll[0]); x++)
			{
				for (var y = mouse.gameMousePos[1]-map.scroll[1]; y < 
					(this.MouseObjectDesc.size[1]+mouse.gameMousePos[1]-map.scroll[1]); y++)
				{
					if (map.getInfo([x+map.scroll[0],y+map.scroll[1]]) == 1)
						color = "rgba(0, 255, 0, 0.5)";
					else
						color = "rgba(255, 0, 0, 0.5)";
					if (!isNextToC)
						color = "rgba(255, 0, 0, 0.5)";
					
					var size = settings.tileSize;
					boxes[x+","+y] = [x*size+settings.visualMapPosition[0],
								y*size+settings.visualMapPosition[1],
								size,
								size,
								color];
				}
			}
			return boxes;
		}
		return false;
	}
	
    // the game was clicked
    this.doClickCommand = function(crd)
    {
        // do a command if mouse has a command pending
        // if not, select a unit
        if (this.MouseCommand)
        {
			
		var selected = Array();
		if (this.selected[0] != undefined)
		{
			selected = this.selected;
		}
		else
			selected[0] = this.selected;
		
		for (var s in selected)
		{
			var check = false;
			if (!selected[s].descriptor.isUnit)
				check = true;
			for (var c in selected[s].descriptor.commands)
				if (selected[s].descriptor.commands[c] == this.MouseCommand)
					check = true;
			if (!check)
				continue;
            switch (this.MouseCommand)
            {
                case "move":
                    eventstack.sendCommand(selected[s].id+",move,"+crd[0]+","+crd[1]);
                    break;
                case "attack":
					if (map.getOccupied(mouse.gameMousePos))
					{
						if (selected[s].id == map.getOccupied(mouse.gameMousePos))
							topLayer.setGameMessage(selected[s].desc+": Cant attack yourself");
						else
						{
							eventstack.sendCommand(selected[s].id+",attack,"+
							map.getOccupied(mouse.gameMousePos));
						}
					}
					else
						topLayer.setGameMessage(selected[s].desc+": Nothing to attack");
                    break;
                case "construct":
					if (map.canBuild(
						mouse.gameMousePos,
						this.MouseObjectDesc.size) 
						&& objects.isNextToMyConstruction(
							mouse.gameMousePos,
							this.MouseObjectDesc.size))
					{
						selected[s].constructing = true;
						eventstack.sendCommand(selected[s].id+",construct,"+this.MouseObjectDesc.desc+","+mouse.gameMousePos);	
					}
					else
						topLayer.setGameMessage("Cannot build here!");
                    break;
            }
		}
            this.MouseCommand = "";
        }
        else
        {
            // select a unit in that coord, if the function returns false,
            // unselect whatever you've selected.
            //deb(this.objects.getObjectById(map.getOccupied(crd)));
            //deb(map.getOccupied(crd));
            //deb(crd);
			
			if (!map.fow.isNotVisible(crd))
			{
				var obj = objects.getObjectById(map.getOccupied(crd));
				this.select(obj);
			}
        }
    }
}