<?php

/**
 * A PDO subclass with exception throwing mode set by default as well as
 * some convenience functions (if needed).
 */
class DB extends PDO {
    
    public function __construct($dsn, $username = null, $password = null, $driver_options = null) {
        parent::__construct($dsn, $username, $password, $driver_options);
        $this->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }
    
}
