<?php
include_once("settings.php");

class new_SessionManager {
    private $_db;
    public function __construct()
    {
        $settings = getSettings();
        if (!$this->_db = mysql_connect($settings["host"], $settings["user"], $settings["password"]))
            echo "could not connect to mysql server";
        if (!mysql_select_db($settings["database"]))
            echo "could not connect to mysql database, see readme!";
    }

    public function createSession($name, $masterClient)
    {
    	if (mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE master_client = $masterClient")))
    		throw new Exception("Cannot be a host in 2 games");
    	$this->sql("INSERT INTO session (name, master_client, players_max, paused, joinable, map)
    					VALUES('$name',$masterClient, 6, TRUE, TRUE, 'default')");
    	$session = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE master_client = $masterClient"));
    	$this->joinSession($session["id"],$masterClient);
    }

    public function createPlayer($name)
    {
    	if (mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE name = '$name'")))
    		throw new ProtocolViolationException("player with this name allredy exists!");
    	$this->sql("INSERT INTO player (name, last_update)
    					VALUES('$name', ".utime().")");
    	$player = mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE name = '$name'"));
    	return $player["id"];
    }

    public function getSessionByClientId($clientId)
    {
    	$player = mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE id = ".$clientId));
    	return $player["in_session"];
    }

    public function checkPlayerExistance($clientId)
    {
    	if (!mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE id = $clientId")))
    		throw new Exception("player doesn't exist!");
    }

    public function joinSession($sessionId, $clientId) {
    	if (!$sessionId || !$clientId)
    		echo "internal error in join session";
    	$this->sql("UPDATE player SET in_session = $sessionId WHERE id = $clientId");
    }

    public function updatePlayerPing ($clientId) {
    	$this->sql("UPDATE player SET last_update = ".utime()." WHERE id = $clientId");
    }

    public function getJoinableSessions() {
    	$r = $this->sql("SELECT * FROM session WHERE joinable = 1");
    	$sessions = array();
		while ($session = mysql_fetch_assoc($r))
    	{
    		$sessions[$session["id"]] = $session["name"];
		}
		return $sessions;
    }

	// drop players with too high ping, and sessions with no players in
	// @sessionId (optional) current session
	// RETURNS: player pings for session
	public function sessionSpank($sessionId = false)
	{
		$r = $this->sql("SELECT * FROM session");
		while ($session = mysql_fetch_assoc($r))
		{
			$req = $this->sql("SELECT * FROM player WHERE in_session = ".$session["id"]);
			$count = 0;
			$masterExists = false;
			$new_master_client = false;
			while ($player = mysql_fetch_assoc($req))
			{
				$count ++;
				if (!$new_master_client)
					$new_master_client = $player["id"];
				if ($player["id"] == $session["master_client"])
					$masterExists = true;
				if (!$player["playerid"] == $count)
					$this->sql("UPDATE player SET playerid = $count WHERE id = ".$player["id"]);
			}
			if ($count == 0)
				$this->dropSession($session["id"]);
			elseif (!$masterExists)
				$this->sql("UPDATE session SET master_client = ".$new_master_client." WHERE id = ".$session["id"]);
		}
		$r = $this->sql("SELECT * FROM player");
		$ret = array();
		while ($player = mysql_fetch_assoc($r))
		{
			$ping = utime()-$player["last_update"];
			// 60 sec is the max time
			if ($ping > 60000)
				$this->dropUser($player["id"]);
			else
			{
				if ($sessionId == $player["in_session"])
				{
					$ret[$player["id"]]["name"] = $player["name"];
					$ret[$player["id"]]["playerid"] = $player["playerid"];
					$ret[$player["id"]]["ping"] = $ping;
				}
			}
		}
		return $ret;
	}

	public function getSessionProperties($session)
	{
		if (is_numeric($session))
			$ret = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE id = $session"));
		if (!$ret || !isset($ret))
			$ret = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE name = $session"));
		return $ret;
	}

    public function dropSession($sessionId) {
    	$this->sql("DELETE FROM session WHERE id = $sessionId");
    	$this->sql("DELETE FROM command WHERE session = $sessionId");
    }

    public function cleanupEverything() {
    	$this->sql("DELETE FROM session");
    	$this->sql("DELETE FROM player");
    	$this->sql("DELETE FROM command");
    }

    public function dropUser($id) {
    	$player = mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE id = $id"));
    	$this->sql("DELETE FROM player WHERE id = $id");
    	if ($player["in_session"])
    	{
    		$session = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE id = ".$player["in_session"]));
    		if (isset($session["players"]) && $session["players"] == 1)
    			$this->dropSession($player["in_session"]);
	    }
    }

    public function getPermissionForStep($sessionId, $step)
    {
    	$r = $this->sql("SELECT * FROM player WHERE in_session = $sessionId");
    	$smallStep = $step;
    	while ($player = mysql_fetch_assoc($r))
    	{
    		if (!$player["step"])
    			$player["step"] = 0;
    		if ($player["step"] < $smallStep)
    		{
    			$smallStep = $player["step"];
    		}
    	}
    	if ($smallStep < $step)
    		return $smallStep;
    	return true;
    }

    function getCurrentStep($sessionId)
    {
   		$gameStartTime = $this->getGameStartTime($sessionId);
   		$gameNowTime = utime()-$gameStartTime;
   		$step = floor($gameNowTime/1000);
   		if (is_numeric($smallStep = $this->getPermissionForStep($sessionId,$step)))
   		{
   			$this->setGameStartTime($sessionId, $gameStartTime+(($step-$smallStep)*1000));
   			return $smallStep;
   		}
   		return $step;
    }

    public function sendEvent($sessionId, $eventMessage) {
    	if (!$eventMessage)
    	return;
    	$step = $this->getCurrentStep($sessionId) + 3;
    	$this->sql("INSERT INTO command (session, step, command)
    					VALUES ($sessionId, $step, '$eventMessage')");
    }

    public function chatMessage($sessionId, $eventMessage = false) {
    	$this->sendEvent($sessionId, $eventMessage);
    	$session = mysql_fetch_assoc($this->sql("SELECT chat_messages FROM session WHERE id = $sessionId"));
    	$msg = $session["chat_messages"];
    	if ($eventMessage)
    	{
    		$msg = $eventMessage.$msg;
	   		$this->sql("UPDATE session SET chat_messages = '$msg' WHERE id = $sessionId");
	   	}
   		return $msg;
    }

    public function lockOrUnlockGame($sessionId, $clientId, $joinable = FALSE) {
    	$session = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE id = $sessionId"));
    	if ($session["master_client"] != $clientId)
    		throw exception("YOU! are NOT the master client!");
    	$this->sql("UPDATE session SET joinable = $joinable WHERE id = $sessionId");
    }

    public function startGame($sessionId, $clientId) {
    	$session = mysql_fetch_assoc($this->sql("SELECT * FROM session WHERE id = $sessionId"));
    	if ($session["master_client"] != $clientId)
    		throw exception("YOU! are NOT the master client!");
    	$this->sql("UPDATE session SET joinable = FALSE, chat_messages = 'Game starting!' WHERE id = $sessionId");
    }

    public function getNewCommands($sessionId, $clientId)
    {
    	$step = $this->getCurrentStep($sessionId);
    	$player = mysql_fetch_assoc($this->sql("SELECT * FROM player WHERE id = $clientId"));
    	$r = $this->sql("SELECT * FROM command WHERE session = $sessionId AND step = ".($step+1));

    	$laststep = 0;
    	$ret = "";
    	while ($com = mysql_fetch_assoc($r))
    	{
    		$ret .= $com["command"];
    	}
    	$ret .= ":";
    	$step ++;
    	$this->sql("UPDATE player SET step = $step WHERE id = $clientId");
    	return $ret;
    }

    public function getGameStartTime($sessionId) {
        $query = mysql_fetch_assoc($this->sql("SELECT game_start_time FROM session WHERE id = $sessionId"));
	    return $query["game_start_time"];
	}

    public function setGameStartTime($sessionId, $set) {
        $this->sql("UPDATE session SET game_start_time = $set WHERE id = $sessionId");
	}

    public function getOrSetGameStartTime($sessionId) {
        $startTime = $this->getGameStartTime($sessionId);

        if (!$startTime || $startTime == "NULL") {
        	// if its the first call, set start time to 5 seconds from now.
        	$startTime = utime()+5000;
        	$this->sql("UPDATE session SET game_start_time = $startTime WHERE id = $sessionId");
        }

        return $startTime-utime();
	}
	private function sql($query)
	{
		if (!$ret = mysql_query($query))
		{
			$deb = debug_backtrace();
			echo $query."<br>";
			echo mysql_error($this->_db)." on line ".$deb[0]["line"];
		}
		return $ret;
	}
}




// other. get time from epox in millseconds
function utime()
{
    $utime = preg_match("/^(.*?) (.*?)$/", microtime(), $match);
    $utime = $match[2] + $match[1];
    $utime *= 1000;
    return round($utime);
}
?>